System Requirements

System Requirements

The Train release of horizon has the following dependencies.

  • Python 2.7, 3.6 or 3.7

  • Django 1.11 or 2.0

    • Django 1.8 to 1.10 are no longer supported since Rocky release.

    • Django support policy is documented at Project policies.

  • An accessible keystone endpoint

  • All other services are optional. Horizon supports the following services as of the Stein release. If the keystone endpoint for a service is configured, horizon detects it and enables its support automatically.

    • cinder: Block Storage

    • glance: Image Management

    • neutron: Networking

    • nova: Compute

    • swift: Object Storage

    • Horizon also supports many other OpenStack services via plugins. For more information, see the Plugin Registry.

Creative Commons Attribution 3.0 License

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.